# Copyright 2012 Centre for Economic Studies and Planning (CESP)
#
# This script was written by Sakshi Jain (jainsakshi2016 at gmail dot com) as part of an initiative directed by Vikas Rawal
# (vikasrawal at gmail dot com) for preparing scripts for reading NSSO
# and ASI data. This initiative is supported by the CAS programme of
# CESP.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
awk '
BEGIN { FS=","
	OFS=","}

{
$50=substr($1,1,4)	
$2=substr($1,5,2)	
$3=substr($1,7,5)	
$4=substr($1,12,3)	
$5=substr($1,15,2)	
$6=substr($1,17,2)	
$7=substr($1,19,1)	
$8=substr($1,20,5)	
$9=substr($1,25,5)	
$10=substr($1,30,1)	
$11=substr($1,31,1)	
$12=substr($1,32,4)	
$13=substr($1,36,1)	
$14=substr($1,37,1)	
$15=substr($1,38,3)	
$16=substr($1,41,3)	
$17=substr($1,44,1)	
$18=substr($1,45,1)	
$19=substr($1,46,1)	
$20=substr($1,47,1)	
$21=substr($1,48,1)	
$22=substr($1,49,2)	
$23=substr($1,51,4)	
$24=substr($1,55,6)
$25=substr($1,61,8)
$26=substr($1,69,3)
$27=substr($1,72,3)
$28=substr($1,75,3)
$29=substr($1,78,4)
$30=substr($1,82,2)
$31=substr($1,84,2)
$32=substr($1,86,1)
$33=substr($1,87,1)
$34=substr($1,88,1)
$35=substr($1,89,1)
$36=substr($1,90,1)
$37=substr($1,91,1)
$38=substr($1,92,1)
$39=substr($1,93,1)
$40=substr($1,94,2)
$41=substr($1,96,2)
$42=substr($1,98,2)
$43=substr($1,100,2)
$44=substr($1,102,2)
$45=substr($1,104,1)
$46=substr($1,105,2)
$47=substr($1,107,3)
$48=substr($1,110,4)
$49=substr($1,114,1)

		
$51=substr($1,15,11)		
$52=substr($1,26,11)		
$53=substr($1,37,11)		
$54=substr($1,48,11)		
$55=substr($1,59,11)		
$56=substr($1,70,11)		
$57=substr($1,81,11)		
$58=substr($1,92,11)		
$59=substr($1,103,11)		
		
$60=substr($1,15,7)		
$61=substr($1,22,7)		
$62=substr($1,29,7)		
$63=substr($1,36,7)		
$64=substr($1,43,7)		
$65=substr($1,50,7)		
$66=substr($1,57,7)		
$67=substr($1,64,7)		
$68=substr($1,71,7)		
$69=substr($1,78,7)		
$70=substr($1,85,7)		
$71=substr($1,92,7)		
$72=substr($1,99,7)		
$73=substr($1,106,8)		

$74=substr($1,15,3)		
$75=substr($1,18,4)		
$76=substr($1,22,10)		
$77=substr($1,32,10)		
$78=substr($1,42,4)		
$79=substr($1,46,10)		
$80=substr($1,56,10)		
$81=substr($1,66,4)		
$82=substr($1,70,10)		
$83=substr($1,80,10)		
$84=substr($1,90,4)		
$85=substr($1,94,10)		
$86=substr($1,104,10)		
		
$87=substr($1,15,3)		
$88=substr($1,18,4)		
$89=substr($1,22,11)		
$90=substr($1,33,11)		
$91=substr($1,44,11)		
$92=substr($1,55,11)		
$93=substr($1,66,4)		
$94=substr($1,70,11)		
$95=substr($1,81,11)		
$96=substr($1,92,11)		
$97=substr($1,103,11)		
		
$98=substr($1,15,3)		
$99=substr($1,18,4)		
$100=substr($1,22,11)		
$101=substr($1,33,11)		
$102=substr($1,44,11)		
$103=substr($1,55,11)		
$104=substr($1,66,11)		
$105=substr($1,77,11)		
$106=substr($1,88,11)		
$107=substr($1,99,11)		
$108=substr($1,110,11)		
	

}


$4==" 11"{print($50,$2,$3,$4,$5,$6,$7,$8,$9,$10,$11,$12,$13,$14,$15,$16,$17,$18,$19,$20,$21,$22,$23,$24,$25,$26,$27,$28,$29,$30,$31,$32,$33,$34,$35,$36,$37,$38,$39,$40,$41,$42,$43,$44,$45,$46,$47,$48,$49)>"../csv786pibs/RC011.csv"}

$4==" 41"{print($50,$2,$3,$4,$51,$52,$53,$54,$55,$56,$57,$58,$59,$49)>"../csv786pibs/RC041.csv"}
$4==" 42"{print($50,$2,$3,$4,$51,$52,$53,$54,$55,$56,$57,$58,$59,$49)>"../csv786pibs/RC042.csv"}

$4==" 43"{print($50,$2,$3,$4,$51,$52,$53,$54,$55,$56,$57,$58,$59,$49)>"../csv786pibs/RC043.csv"}

$4==" 44"{print($50,$2,$3,$4,$51,$52,$53,$54,$55,$56,$57,$58,$59,$49)>"../csv786pibs/RC044.csv"}

$4==" 45"{print($50,$2,$3,$4,$51,$52,$53,$54,$55,$56,$57,$58,$59,$49)>"../csv786pibs/RC045.csv"}

$4==" 46"{print($50,$2,$3,$4,$51,$52,$53,$54,$55,$56,$57,$58,$59,$49)>"../csv786pibs/RC046.csv"}

$4==" 47"{print($50,$2,$3,$4,$51,$52,$53,$54,$55,$56,$57,$58,$59,$49)>"../csv786pibs/RC047.csv"}

$4==" 48"{print($50,$2,$3,$4,$51,$52,$53,$54,$55,$56,$57,$58,$59,$49)>"../csv786pibs/RC048.csv"}

$4==" 51"{print($50,$2,$3,$4,$51,$52,$53,$54,$55,$56,$57,$58,$59,$49)>"../csv786pibs/RC051.csv"}

$4==" 52"{print($50,$2,$3,$4,$51,$52,$53,$54,$55,$56,$57,$58,$59,$49)>"../csv786pibs/RC052.csv"}

$4==" 61"{print($50,$2,$3,$4,$51,$52,$53,$54,$55,$56,$57,$58,$59,$49)>"../csv786pibs/RC061.csv"}

$4==" 62"{print($50,$2,$3,$4,$51,$52,$53,$54,$55,$56,$57,$58,$59,$49)>"../csv786pibs/RC062.csv"}

$4==" 81"{print($50,$2,$3,$4,$51,$52,$53,$54,$55,$56,$57,$58,$59,$49)>"../csv786pibs/RC081.csv"}

$4==" 82"{print($50,$2,$3,$4,$51,$52,$53,$54,$55,$56,$57,$58,$59,$49)>"../csv786pibs/RC082.csv"}

$4==" 83"{print($50,$2,$3,$4,$51,$52,$53,$54,$55,$56,$57,$58,$59,$49)>"../csv786pibs/RC083.csv"}

$4==" 84"{print($50,$2,$3,$4,$51,$52,$53,$54,$55,$56,$57,$58,$59,$49)>"../csv786pibs/RC084.csv"}

$4==" 85"{print($50,$2,$3,$4,$51,$52,$53,$54,$55,$56,$57,$58,$59,$49)>"../csv786pibs/RC085.csv"}


$4==" 86"{print($50,$2,$3,$4,$60,$61,$62,$63,$64,$65,$66,$67,$68,$69,$70,$71,$72,$73,$49)>"../csv786pibs/RC086.csv"}

$4==" 87"{print($50,$2,$3,$4,$51,$52,$53,$54,$55,$56,$57,$58,$59,$49)>"../csv786pibs/RC087.csv"}

$4==" 88"{print($50,$2,$3,$4,$51,$52,$53,$54,$55,$56,$57,$58,$59,$49)>"../csv786pibs/RC088.csv"}

$4==" 91"{print($50,$2,$3,$4,$74,$75,$76,$77,$78,$79,$80,$81,$82,$83,$84,$85,$86,$49)>"../csv786pibs/RC091.csv"}

$4=="101"{print($50,$2,$3,$4,$51,$52,$53,$54,$55,$56,$57,$58,$59,$49)>"../csv786pibs/RC101.csv"}

$4=="111"{print($50,$2,$3,$4,$51,$52,$53,$54,$55,$56,$57,$58,$59,$49)>"../csv786pibs/RC111.csv"}

$4=="112"{print($50,$2,$3,$4,$51,$52,$53,$54,$55,$56,$57,$58,$59,$49)>"../csv786pibs/RC112.csv"}

$4=="121"{print($50,$2,$3,$4,$51,$52,$53,$54,$55,$56,$57,$58,$59,$49)>"../csv786pibs/RC121.csv"}

$4=="131"{print($50,$2,$3,$4,$74,$75,$76,$77,$78,$79,$80,$81,$82,$83,$84,$85,$86,$49)>"../csv786pibs/RC131.csv"}


$4=="133"{print($50,$2,$3,$4,$74,$75,$76,$77,$78,$79,$80,$81,$82,$83,$84,$85,$86,$49)>"../csv786pibs/RC133.csv"}


$4=="143"{print($50,$2,$3,$4,$74,$75,$76,$77,$78,$79,$80,$81,$82,$83,$84,$85,$86,$49)>"../csv786pibs/RC143.csv"}


$4=="132"{print($50,$2,$3,$4,$87,$88,$89,$90,$91,$92,$93,$94,$95,$96,$97,$49)>"../csv786pibs/RC132.csv"}


$4=="141"{print($50,$2,$3,$4,$98,$99,$100,$101,$102,$103,$104,$105,$106,$107,$108,$49)>"../csv786pibs/RC141.csv"}

$4=="142"{print($50,$2,$3,$4,$51,$52,$53,$54,$55,$56,$57,$58,$59,$49)>"../csv786pibs/RC142.csv"}



' $*







		
